Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class MultiValueJXPathBinding

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.binding.JXPathBindingBase
              org.apache.cocoon.forms.binding.MultiValueJXPathBinding

All Implemented Interfaces:
  Binding

public class MultiValueJXPathBinding
extends JXPathBindingBase

Simple binding for multi fields: on save, first deletes the target data before recreating it from scratch.

Version:
  $Id: MultiValueJXPathBinding.java 640682 2008-03-25 03:23:17Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`classes, parent`

Constructor Summary
`MultiValueJXPathBinding(JXPathBindingBuilderBase.CommonAttributes commonAtts, String multiValueId, String multiValuePath, String rowPath, JXPathBindingBase[] updateBindings, Convertor convertor, Locale convertorLocale)`

Method Summary
`void` | `doLoad(Widget frmModel, org.apache.commons.jxpath.JXPathContext jctx)` Performs the actual load binding regardless of the configured value of the "direction" attribute.
`void` | `doSave(Widget frmModel, org.apache.commons.jxpath.JXPathContext jctx)` Performs the actual save binding regardless of the configured value of the "direction" attribute.
`Convertor` | `getConvertor()`
`String` | `getId()` Returns binding definition id.
`Locale` | `getLocale()`
`String` | `getMultiValuePath()`
`String` | `getRowPath()`
`ComposedJXPathBindingBase` | `getUpdateBinding()`
`String` | `toString()`

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`getClass, getCommonAtts, getEnclosingLibrary, getLocation, isValid, loadFormFromModel, loadFormFromModel, saveFormToModel, saveFormToModel, selectWidget, setEnclosingLibrary, setParent`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiValueJXPathBinding

    public MultiValueJXPathBinding(JXPathBindingBuilderBase.CommonAttributes commonAtts,
                                   String multiValueId,
                                   String multiValuePath,
                                   String rowPath,
                                   JXPathBindingBase[] updateBindings,
                                   Convertor convertor,
                                   Locale convertorLocale)

Method Detail

### getId

    public String getId()

  Description copied from class: `JXPathBindingBase`
  Returns binding definition id.

  Specified by:
    `getId` in interface `Binding`
  Overrides:
    `getId` in class `JXPathBindingBase`

### getMultiValuePath

    public String getMultiValuePath()

### getRowPath

    public String getRowPath()

### getUpdateBinding

    public ComposedJXPathBindingBase getUpdateBinding()

### getConvertor

    public Convertor getConvertor()

### getLocale

    public Locale getLocale()

### doLoad

    public void doLoad(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jctx)
                throws BindingException

  Description copied from class: `JXPathBindingBase`
  Performs the actual load binding regardless of the configured value of the "direction" attribute. Abstract method that subclasses need to implement for specific activity.

  Specified by:
    `doLoad` in class `JXPathBindingBase`
  Throws:
    `BindingException`

### doSave

    public void doSave(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jctx)
                throws BindingException

  Description copied from class: `JXPathBindingBase`
  Performs the actual save binding regardless of the configured value of the "direction" attribute. Abstract method that subclasses need to implement for specific activity.

  Specified by:
    `doSave` in class `JXPathBindingBase`
  Throws:
    `BindingException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.